require "test/unit"
require "rchasen"

$KCODE="e"
class TC_Rchasen < Test::Unit::TestCase
  def setup
    @test_text = "ˤϡ"
    @test_result = "ˤ\t˥\tˤ\tư\t\t\n\t\t\t-\t\t\nEOS\n"

    @test_filename = "#{File.dirname __FILE__}/test.txt"
    @test_file = File.open(@test_filename, "wb")
    @test_file.write(@test_text)
    @test_file.close

  end

  def teardown

  end

  def test_chasen_sparse_tostr 
    assert_equal(Rchasen::chasen_sparse_tostr(@test_text), @test_result)
  end

  def test_chasen_fparse_tostr 
    @test_file = File.open(@test_filename, "rb")
    assert_equal(Rchasen::chasen_fparse_tostr(@test_file), @test_result)
    @test_file.close
  end

  def test_chasen_fparse
    @output_file = File.open("#{File.dirname __FILE__}/output.txt", "wb")
    @test_file = File.open(@test_filename, "rb")
    Rchasen::chasen_fparse(@test_file, @output_file)
    @output_file.close
    @test_file.close
    
    @output_file = File.open("#{File.dirname __FILE__}/output.txt", "rb")
    assert_equal(@output_file.read, @test_result)
    @output_file.close
  end

  def test_chasen_sparse
    @output_file = File.open("#{File.dirname __FILE__}/output.txt", "wb")
    Rchasen::chasen_sparse(@test_text, @output_file)
    @output_file.close
    @output_file = File.open("#{File.dirname __FILE__}/output.txt", "rb")
    assert_equal(@output_file.read, @test_result)
    @output_file.close
  end



end
